MsWrd1ParserInternal::State Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MsWrd1ParserInternal::State Struct Reference

Internal: the state of a MsWrd1Parser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_eot
| end of text More...
int | m_numColumns
| the number of columns More...
float | m_columnsSep
| the column separator More...
int | m_fileZonesLimit [7]
| the zones limits More...
std::vector< MWAWVec2l > | m_textZonesList
| the list of text zones More...
std::vector< int > | m_mainTextZonesList
| the list of main text zones More...
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
bool | m_endNote
| a flag to know if we send endnote or footnote More...
std::vector< MWAWVec2l > | m_footnotesList
| the footnote positions ( list of beginPod, endPos) More...
std::multimap< long, PLC > | m_plcMap
| the text correspondance zone ( filepos, plc ) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...
std::vector< int > | m_headersId
| the list of header id which corresponds to each page More...
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page More...

## Detailed Description

Internal: the state of a MsWrd1Parser.

## Constructor & Destructor Documentation

MsWrd1ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

int MsWrd1ParserInternal::State::m_actPage

the actual page

float MsWrd1ParserInternal::State::m_columnsSep

the column separator

bool MsWrd1ParserInternal::State::m_endNote

a flag to know if we send endnote or footnote

long MsWrd1ParserInternal::State::m_eot

end of text

int MsWrd1ParserInternal::State::m_fileZonesLimit[7]

the zones limits

Referenced by State().

std::vector<Font> MsWrd1ParserInternal::State::m_fontsList

the list of fonts

int MsWrd1ParserInternal::State::m_footerHeight

the footer height if known

std::vector<int> MsWrd1ParserInternal::State::m_footersId

the list of footer id which corresponds to each page

std::vector<MWAWVec2l> MsWrd1ParserInternal::State::m_footnotesList

the footnote positions ( list of beginPod, endPos)

int MsWrd1ParserInternal::State::m_headerHeight

the header height if known

std::vector<int> MsWrd1ParserInternal::State::m_headersId

the list of header id which corresponds to each page

std::vector<int> MsWrd1ParserInternal::State::m_mainTextZonesList

the list of main text zones

int MsWrd1ParserInternal::State::m_numColumns

the number of columns

int MsWrd1ParserInternal::State::m_numPages

the number of page of the final document

std::vector<Paragraph> MsWrd1ParserInternal::State::m_paragraphsList

the list of paragraph

std::multimap<long, PLC> MsWrd1ParserInternal::State::m_plcMap

the text correspondance zone ( filepos, plc )

std::vector<MWAWVec2l> MsWrd1ParserInternal::State::m_textZonesList

the list of text zones

The documentation for this struct was generated from the following file:

- MsWrd1Parser.cxx